﻿using PLplot;
using System;
using System.Collections.Generic;
using System.Text;
using System.Linq;
using MathNet.Numerics;
using MathNet.Numerics.Interpolation;

class Gridmap
{
    int _width;
    int _height;

    public Gridmap(int width, int height)
    {
        _width = width;
        _height = height;
    }

    public void Show(double[] x1, double [] y1, double [] x2, double [] y2, string pngFileName)
    {
        using (var pl = new PLStream())
        {
            pl.sdev("png");
            pl.sfnam(pngFileName);
            pl.spal0("cmap0_alternate.pal");
            pl.setopt("-geometry", $"{_width}x{_height}");
            pl.init();

            pl.env(-1.1, 1.1, -1.1, 1.1, AxesScale.Independent, AxisBox.BoxTicksLabelsAxes);

            pl.spal0("");

            pl.col0(Color.Blue);
            pl.poin(x1, y1, Symbol.Plus);

            pl.col0(Color.Red);
            pl.poin(x2, y2, Symbol.Bullet);

            pl.eop();
        }
    }
}
