﻿using System;
using System.Collections.Generic;
using System.Text;
using MathNet.Numerics.LinearAlgebra;

public static class PythonUtils
{
    public static IEnumerable<T> arange<T>(T start, T stop, T step)
    {
        dynamic dStart = start;
        dynamic dStop = stop;
        dynamic dStep = step;

        if (dStep == 0)
            throw new ArgumentException("Parameter step cannot equal zero.");

        if (dStart < dStop && dStep > 0)
        {
            for (var i = dStart; i < dStop; i += dStep)
            {
                yield return i;
            }
        }
        else if (dStart > dStop && dStep < 0)
        {
            for (var i = dStart; i > dStop; i += dStep)
            {
                yield return i;
            }
        }
    }

    public static Vector<double> exp(Vector<double> value)
    {
        return value.PointwiseExp();
    }

    public static double sum(Vector<double> value)
    {
        return exp(value).Sum();
    }
}
